function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import { MenuItem } from 'material-ui/Menu';
import Select from 'material-ui/Select';
import Input, { InputLabel } from 'material-ui/Input';
import { FormControl, FormHelperText } from 'material-ui/Form';

function SelectWidget(props) {
    var value = props.value,
        readonly = props.readonly,
        disabled = props.disabled,
        autofocus = props.autofocus,
        onBlur = props.onBlur,
        onFocus = props.onFocus,
        options = props.options,
        schema = props.schema,
        formContext = props.formContext,
        registry = props.registry,
        inputProps = _objectWithoutProperties(props, ['value', 'readonly', 'disabled', 'autofocus', 'onBlur', 'onFocus', 'options', 'schema', 'formContext', 'registry']);

    var onChange = function onChange(_ref) {
        var value = _ref.target.value;

        return props.onChange(value ? value : options.emptyValue);
    };

    return React.createElement(
        FormControl,
        { fullWidth: true },
        React.createElement(
            InputLabel,
            { htmlFor: 'age-simple' },
            props.label
        ),
        React.createElement(
            Select,
            {
                value: value || "",
                onChange: onChange
            },
            React.createElement(
                MenuItem,
                { value: '' },
                React.createElement('em', null)
            ),
            schema.items.titleMap.map(function (item) {
                return React.createElement(
                    MenuItem,
                    { key: item.value, value: item.value },
                    React.createElement(
                        'em',
                        null,
                        item.name
                    )
                );
            })
        )
    );
}

SelectWidget.defaultProps = {
    required: false,
    disabled: false,
    readonly: false,
    autofocus: false
};

SelectWidget.propTypes = process.env.NODE_ENV !== "production" ? {
    id: PropTypes.string.isRequired,
    placeholder: PropTypes.string,
    value: PropTypes.any,
    required: PropTypes.bool,
    disabled: PropTypes.bool,
    readonly: PropTypes.bool,
    autofocus: PropTypes.bool,
    onChange: PropTypes.func,
    onBlur: PropTypes.func,
    onFocus: PropTypes.func
} : {};

export default SelectWidget;